NX11+VS2013 #include <uf.h> #include <uf_ui.h> #include <uf_layer.h> UF_initialize(); //获取一个图层类别的tag tag_t category = NULL_TAG; UF_LAYER_ask_category_tag("01.Tangkl_Solids", &category); //获取图层类别的信息 UF_LAYER_category_info_t…
NX9+VS2012 #include <uf.h> #include <uf_draw.h> #include <uf_part.h> #include <uf_ui.h> UF_initialize(); //新建工程图(A4图纸) char* DrawingName = "ABC";//设置图纸名字 UF_DRAW_info_t DrawingInfo;//设置图纸大小.投影视角.视图比例等 DrawingInfo.size_sta…
1 NX11+VS2013 2 3 #include <uf.h> 4 #include <uf_ui.h> 5 #include <uf_layer.h> 6 7 8 9 UF_initialize(); 10 11 //获取一个图层类别的tag 12 tag_t category = NULL_TAG; 13 UF_LAYER_ask_category_tag("01.Tangkl_Solids", &category); 14 15 /…
文章转载自唐康林NX二次开发论坛,原文出处: http://www.nxopen.cn/thread-126-1-1.html 刚才有同学问到这个问题,如果是用NXOpen来做,直接录制一下就可以了: 在UFUN里面没有直接的函数: 思路就是: .先将工程图转换为cgm .调用系统的cgm2pdf.exe工具,将上一步转换的cgm再转成PDF格式: 以下是我写的一个例子.大家可以拿一个工程图测试以下代码,最后会在C盘生成tkl.cgm与tkl.pdf两个文件. #include <uf.h>…
文章转载自唐康林NX二次开发论坛,原文出处: http://www.nxopen.cn/thread-126-1-1.html 刚才有同学问到这个问题,如果是用NXOpen来做,直接录制一下就可以了: 在UFUN里面没有直接的函数: 思路就是: .先将工程图转换为cgm .调用系统的cgm2pdf.exe工具,将上一步转换的cgm再转成PDF格式: 以下是我写的一个例子.大家可以拿一个工程图测试以下代码,最后会在C盘生成tkl.cgm与tkl.pdf两个文件. #include <uf.h>…
NX9+VS2012 #include <uf.h> UF_initialize(); //UFUN获取环境变量路径 //将环境变量转换为字符串 char* GetName = NULL; UF_translate_variable("UGII_BASE_DIR", &GetName); //环境变量路径字符串拼接 string BaseDir1 = GetName; string BaseDir2 = "\\MODLE\\ABC.prt"; s…
NX9+VS2012 #include <uf.h> UF_initialize(); UF_system_info_t Info; UF_ask_system_info(&Info); lw->Open(); lw->WriteLine(Info.date_buf);//获取当前日期和时间信息 lw->WriteLine(Info.user_name);//获取用户名 lw->WriteLine(Info.program_name);//获取NX版本 lw-&…
NX9+VS2012 #include <uf.h> #include <uf_modl.h> #include <uf_curve.h> #include <uf_ui.h> UF_initialize(); //创建块 UF_FEATURE_SIGN Sign = UF_NULLSIGN; ] = {0.0, 0.0, 0.0}; ] = {"}; tag_t BlkTag = NULL_TAG; UF_MODL_create_block1(S…
NX9+VS2012 #include <uf.h> #include <uf_modl.h> #include <uf_part.h> UF_initialize(); //获取当前显示部件的TAG tag_t DisplayTag = UF_PART_ask_display_part(); //输入Part的TAG,获取整个部件表达式的TAG和表达式个数 int NumberOfExps; tag_t* ExpsTag = NULL_TAG; UF_MODL_ask…
除了UF_DRAW_ask_current_drawing这个函数外,用UF_DRAW_ask_drawings也可以获得tag.UF_DRAW_ask_current_drawing只能获得当前这一个图纸页的tag,UF_DRAW_ask_drawings是可以获得图纸页数量和所每一页Tag的 NX9+VS2012 #include <uf.h> #include <uf_draw.h> UF_initialize(); //返回当前图纸页的Tag tag_t drawing_t…